Bug 1230823 - Missing dependency on PyYAML
Summary: Missing dependency on PyYAML
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: diskimage-builder
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: Director
Assignee: Mike Burns
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-11 14:59 UTC by Luigi Toscano
Modified: 2015-08-05 13:53 UTC (History)
7 users (show)

Fixed In Version: diskimage-builder-0.1.46-2.el7ost
Doc Type: Bug Fix
Doc Text:
A missing dependency on PyYAML from diskimage-builder caused image builds to fail. This fix adds the dependency. Now image builds are successful.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:53:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Luigi Toscano 2015-06-11 14:59:00 UTC
Description of problem:
diskimage-builer provides the script package-installs-squash in the package-installs element. This Python script imports yaml, but the dependency is missing in the package, leading to an error.

Version-Release number of selected component (if applicable):
diskimage-builder-0.1.42-7.el7ost.noarch
diskimage-builder-0.1.46-1.el7ost.noarch

Comment 3 Mike Burns 2015-06-11 17:44:18 UTC
fixed upstream in https://github.com/rdo-management/diskimage-builder-packaging/pull/1

Comment 7 Luigi Toscano 2015-06-17 12:30:16 UTC
The dependency has been added.

diskimage-builder-0.1.46-2.el7ost.noarch

Comment 9 errata-xmlrpc 2015-08-05 13:53:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.